;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp -*-

(in-package :common-lisp-user)

(defpackage :iolib-posix
  (:use :common-lisp :cffi)
  (:nicknames #:et)
  (:shadow #:open #:close #:read #:write #:listen
           #:truncate #:ftruncate #:sleep)
  (:export #:defsyscall
           #:defforeign #:defforeign-with-helpers
           #:define-entry-point
           #:system-error #:unix-error #:resolv-error
           #:system-error-code #:system-error-identifier #:message
           #:fd-open-p
           #:repeat-upon-condition #:repeat-upon-eintr
           #:repeat-upon-condition-decreasing-timeout
           #:repeat-decreasing-timeout))
